package com.acme.conversion.currency.client;

import com.acme.conversion.currency.service.CurrencyExchangeService;
import com.acme.conversion.currency.service.CurrencyExchangeServiceFactory;

public class CommandLineClient {
    public static void main(String[] args) {
        if (args.length != 2 && args.length != 3) {
            System.out.println("Requested parameters: " +
            "<source currency code> <target currency code> " +
            "[amount to exchange]");
        }
        else {
            CurrencyExchangeService service =
                CurrencyExchangeServiceFactory.getService();
            double rate = service.requestCurrentRate(args[0], args[1]);
            System.out.println("Rate is " + rate);
            if (args.length >= 3) {
                double oldAmount = Double.parseDouble(args[2]);
                double newAmount = oldAmount * (1/rate);
                System.out.println(oldAmount + " " + args[0]
                + " is " + newAmount + " " + args[1]);
            }
        }
    }
}
